## xilinx-bootgen 2021.1

=== debian/changelog ===
xilinx-bootgen (2021.1-1) unstable; urgency=medium

  * Initial release. (Closes: #993285)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Aug 2021 12:12:26 +0900
