=== debian/control ===
Source: xilinx-bootgen
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Priority: optional
Section: devel
Build-Depends: debhelper-compat (= 13), libssl-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/bootgen
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen.git

Package: xilinx-bootgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: boot image converter for Xilinx ARM SoCs
 xilinx-bootgen provides tools to generate a boot image (BOOT.BIN)
 for Xilinx ARM SoC (Zynq-7000, Zynq UltraScale + MPSoC, etc) devices.
 This also provides features such as boot authentication and OpenSSL-based
 encryption.
