## xilinx-bootgen 2021.2

=== debian/changelog ===
xilinx-bootgen (2021.2-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 12:26:47 +0100

xilinx-bootgen (2021.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control
    - Update Maintainer and Uploaders.
  * Update d/copyright
    - Fix lintian warning: superfluous-file-pattern.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 09 Nov 2021 13:18:46 +0900
