=== debian/control ===
--- 
+++ 
@@ -1,5 +1,7 @@
 Source: xilinx-bootgen
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+           Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev
