## xilinx-bootgen 2022.1

=== debian/changelog ===
xilinx-bootgen (2022.1-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
  * Update d/copyright.
    - Update copyright year.
  * Update d/watch.
    - Update to v4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 14:12:44 +0900
