=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Section: devel
 Build-Depends: debhelper-compat (= 13), libssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/bootgen
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/xilinx-bootgen
