## xilinx-bootgen 2022.2

=== debian/changelog ===
xilinx-bootgen (2022.2-2) unstable; urgency=medium

  * d/rules: Add bootgen-xlnx to Breaks, Replaces and Provides in the case
    of Ubuntu. (Closes: LP: 2000774)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 12 Jan 2023 11:25:15 +0900

xilinx-bootgen (2022.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update standards version to 4.6.1, no changes needed.
  * d/copyright: Update copyright year.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 19:27:07 +0900
