=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bootgen-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/Xilinx/bootgen/tags .*/xilinx_v?(\d\S*)\.tar\.gz
