## xilinx-bootgen 2024.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 ##############################################################################
 #
-# Copyright 2015-2020 Xilinx, Inc.
+# Copyright 2015-2022 Xilinx, Inc.
+# Copyright 2022-2023 Advanced Micro Devices, Inc.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
