=== debian/changelog ===
xilinx-bootgen (2024.2-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version to 4.7.0.
  * d/copyright:
    - Update copyright year.
  * d/upstream/metadata:
    - Remove obsolete fields Contact and Name.
    - Add Bug-Database field.
  * d/rules:
    - Drop unnecessary dependency on dh-autoreconf.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 24 Feb 2025 21:43:59 +0900
