=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf --exclude=.la
+	dh $@ --exclude=.la
 
 override_dh_auto_configure:
 	if dpkg-vendor --derives-from Ubuntu; then \
